#2 make overrides / whitelist more useful
Closed 2 years ago by decathorpe. Opened 2 years ago by decathorpe.

It would be nice to override not only per architecture, but also per release, and per package.

The existing overrides data could be adapted to be more flexible, for example, something similar to this:

{
  "all": {
    "all": {
      "(python3dist(importlib-metadata) >= 0.18 if python3 < 3.8)": [
        "python-jaraco-packaging"
      ],
      "(python3dist(importlib-metadata) if python3 < 3.8)": [
        "pyproject-rpm-macros"
      ],
      "(python3-importlib-metadata if python3 < 3.8)": [
        "python-pluggy"
      ]
    },
    "x86_64": {},
    "i686": {},
    "aarch64": {},
    "armv7hl": {},
    "ppc64le": {},
    "s390x": {}
  },
  "rawhide": {
    "all": {},
    "x86_64": {},
    "aarch64": {},
    "armv7hl": {},
    "ppc64le": {},
    "s390x": {}
  },
  "31": {
    "all": {},
    "x86_64": {},
    "aarch64": {},
    "armv7hl": {},
    "ppc64le": {},
    "s390x": {}
  },
  "30": {
    "all": {},
    "x86_64": {},
    "i686": {},
    "aarch64": {},
    "armv7hl": {},
    "ppc64le": {},
    "s390x": {}
  },
  "29": {
    "all": {},
    "x86_64": {},
    "i686": {},
    "aarch64": {},
    "armv7hl": {},
    "ppc64le": {},
    "s390x": {}
  }
}

Metadata Update from @decathorpe:
- Issue status updated to: Closed (was: Open)

2 years ago

Login to comment on this ticket.

Metadata